<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="utf-8" />
		
		<title>Nook</title>
		
		<meta property="og:url" content="https://nook.yozuru.jp/" />
		<meta property="og:title" content="Nook" />
		<meta property="og:description" content="Play ambient Animal Crossing: New Horizons music" />
		<meta property="og:image" content="https://vignette.wikia.nocookie.net/nintendo/images/5/5d/Animal_Crossing_New_Horizons_-_Tom_Nook.png/revision/latest?cb=20191221043341&path-prefix=en" />
		
		<link href="https://fonts.googleapis.com/css2?family=BioRhyme&display=swap" rel="stylesheet">
		<link rel="stylesheet" href="https://cdn.plyr.io/3.5.10/plyr.css" />
		<style type="text/css">
			* {
				font-family: 'BioRhyme', serif;
				margin: 0;
				padding: 0;
			}
			
			body {
				background-image: url("https://cdn02.nintendo-europe.com/media/images/08_content_images/games_6/nintendo_switch_7/nswitch_animalcrossingnewhorizons/NSwitch_AnimalCrossingNewHorizons_bg_leaves_lightgreen.jpg");
				background-repeat: repeat;
				overflow: hidden;
			}
			
			.tom {
				object-fit: contain;
				width: 100%;
				max-height: 50%;
				position: absolute;
				bottom: 0;
			}
			
			#play-button {
				position: absolute;
				left: 0;
				top: 0;
				right: 0;
				bottom: 0;
				margin: auto;
				display: block;
				text-align: center;
				user-select: none;
				
				cursor: default;
				color: #fff;
				font-size: 2em;
			}
			
			#play-button:hover {
				display: block;
				width: 100%;
				height: 100%;
			}
			
			.hidden {
				display: none;
			}
		</style>
	</head>
	<body>
		<img class="tom" src="https://cdn02.nintendo-europe.com/media/images/08_content_images/games_6/nintendo_switch_7/nswitch_animalcrossingnewhorizons/NSwitch_AnimalCrossingNewHorizons_Overview_CEO_mob.png" />
		<span id="play-button">Play</span>
		<div class="hidden">
			<div id="player" data-plyr-provider="youtube" data-plyr-embed-id="2GhhV_WGsa0"></div>
		</div>
		
		<script src="https://cdn.plyr.io/3.5.10/plyr.polyfilled.js"></script>
		<script type="application/javascript">
			const url = {
				normal: [
					'OW36kFCHdQ4',
					'I9j_PrSn38A',
					'8Q2m0Sl3uyc',
					'GD-3FiOHTe0',
					'q4TndIe-648',
					'XH6IXiXU8Eo',
					'3DdlJCXm7Vw',
					'kXvpdzYzyiU',
					'e5h_KM1kXgw',
					'e1qKdkDeDoc',
					'B20O58ceYko',
					'roj0iqA1X7o',
					'xs4FJOvLPC8',
					'WGCPde7TbRk',
					'HgETcBBLdTk',
					'D2TFSxMn-mc',
					'jK7wl38aGao',
					'uLtJIPu-Cns',
					'sDSOT1LaNhU',
					'pSm8QMT6gG0',
					'wm4A_6fu4uQ',
					'TuMvh1R2Wkw',
					'ohZOZ8casjw',
					'z5Xb6FQMnss',
				],
				rain: [
					'mjxwRmAlotA',
				],
				snow: [
					'9Wi-hrlBvw8',
				],
			};
			
			window.addEventListener('DOMContentLoaded', e => {				
				Date = (() => {
					const OriginalDate = Date;
					return function() {
						return new OriginalDate(new OriginalDate().getTime());
					}
				})();
				
				const getCurrentHour = () => new Date().getHours();
				
				const hasHourChanged = (() => {
					let lastHour = getCurrentHour();
					return () => {
						const currentHour = getCurrentHour();
						const changed = currentHour != lastHour;
						if(changed) lastHour = currentHour;
						return changed;
					};
				})();
				
				const player = new Plyr('#player', {
					autoplay: false,
					loop: { active: true },
					youtube: { noCookie: true },
				});
				
				const setMusic = (weather, hour) => {
					player.source = {
						type: 'video',
						sources: [{ src: url[weather][hour], provider: 'youtube' }],
					};
				}
				
				const playButton = document.getElementById('play-button');
				playButton.addEventListener('click', e => {
					if(player.playing) player.pause(); else player.play();
				});
				
				player.once('ready', e => {
					setMusic('normal', getCurrentHour());
					playButton.disabled = false;
				});
				
				const playerStateChanged = e => {		
					playButton.innerText = e.detail.plyr.playing ? 'Pause' : 'Play';
				};
				
				player.on('playing', playerStateChanged);
				player.on('pause', playerStateChanged);
				
				setInterval(() => {						
					if(!hasHourChanged()) return;					
					const hour = getCurrentHour();
					const weather = 'normal';
					setMusic(weather, hour);
				}, 1000);
			});
		</script>
	</body>
</html>